digiKam Developer Documentation: Digikam::SearchField Class Reference

| digiKam Developer Documentation Professional Photo Management with the Power of Open Source

Loading...
Searching...
No Matches
Public Types | Signals | Public Member Functions | Static Public Member Functions | Protected Slots | Protected Member Functions | Protected Attributes | List of all members
Digikam::SearchField Class Referenceabstract
Inheritance diagram for Digikam::SearchField:

## Public Types
enum | WidgetRectType { LabelAndValueWidgetRects , ValueWidgetRectsOnly }

## Signals
void | signalVisibilityChanged ()

## Public Member Functions
| SearchField (QObject *const parent)
bool | isVisible () override
virtual void | read (SearchXmlCachingReader &reader)=0
virtual void | reset ()=0
void | setCategoryLabelVisible (bool visible)
void | setCategoryLabelVisibleFromPreviousField (SearchField *const previousField)
void | setFieldName (const QString &fieldName)
virtual void | setText (const QString &label, const QString &detailLabel)
void | setup (QGridLayout *const layout, int row=-1)
void | setVisible (bool visible) override
virtual bool | supportsField (const QString &fieldName)
QList< QRect > | widgetRects (WidgetRectType=ValueWidgetRectsOnly) const
virtual void | write (SearchXmlWriter &writer)=0

## Static Public Member Functions
static SearchField * | createField (const QString &fieldName, SearchFieldGroup *const parent)

## Protected Slots
void | clearButtonClicked ()

## Protected Member Functions
virtual void | setupLabels (QGridLayout *layout, int line)
virtual void | setupValueWidgets (QGridLayout *layout, int row, int column)=0
void | setValidValueState (bool valueIsValid)
virtual void | setValueWidgetsVisible (bool visible)=0
virtual QList< QRect > | valueWidgetRects () const =0

## Protected Attributes
bool | m_categoryLabelVisible = true
AnimatedClearButton * | m_clearButton = nullptr
QLabel * | m_detailLabel = nullptr
QLabel * | m_label = nullptr
QString | m_name
bool | m_valueIsValid = false

## Member Function Documentation

## ◆ createField()

SearchField * Digikam::SearchField::createField | ( | const QString & | fieldName,
|  | SearchFieldGroup *const | parent
| ) |  |
| static

## ◆ isVisible()

bool Digikam::SearchField::isVisible | ( |  | ) |
| overridevirtual

Implements Digikam::VisibilityObject.

## ◆ setVisible()

void Digikam::SearchField::setVisible | ( | bool | visible | ) |
| overridevirtual

Implements Digikam::VisibilityObject.

## ◆ write()

virtual void Digikam::SearchField::write | ( | SearchXmlWriter & | writer | ) |
| pure virtual

Implemented in Digikam::SearchFieldRangeInt.